package com.goafanti.contract.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class ContractClientListBo {
	private String	id;

	private String	uid;

	private Integer	contacts;
	
	private Integer	serialNumber;
	
	private Integer	type;
	
	private Date	signDate;
	
	private String	depict;
	
	private Integer	status;
	
	private Date	completeDate;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getContacts() {
		return contacts;
	}

	public void setContacts(Integer contacts) {
		this.contacts = contacts;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getSignDate() {
		return signDate;
	}

	public void setSignDate(Date signDate) {
		this.signDate = signDate;
	}

	public String getDepict() {
		return depict;
	}

	public void setDepict(String depict) {
		this.depict = depict;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCompleteDate() {
		return completeDate;
	}

	public void setCompleteDate(Date completeDate) {
		this.completeDate = completeDate;
	}
	
	public String getSignDateFormattedDate() {
		if (this.signDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getSignDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setSignDateFormattedDate(String signDateFormattedDate) {

	}

	public String getCompleteDateFormattedDate() {
		if (this.completeDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCompleteDate(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCompleteDateFormattedDate(String completeDateFormattedDate) {

	}

	
	

}
